use embed_nu::rusty_value::*;
use serde::Deserialize;

use crate::task;

task!(InstallKernels {
    name = "install-kernels"
    args = KernelConfig
});

#[derive(Clone, Debug, RustyValue, Deserialize)]
pub struct KernelConfig {
    pub default: Kernel,
    pub additional: Vec<Kernel>,
}

#[derive(Clone, Debug, RustyValue, Deserialize)]
pub struct Kernel(pub String);
