use embed_nu::rusty_value::*;
use serde::Deserialize;

use crate::task;

task!(ConfigureLocale {
    name = "configure-locale"
    args = LocaleConfig
});

#[derive(Clone, Deserialize, RustyValue, Debug)]
pub struct LocaleConfig {
    pub locale: Vec<String>,
    pub keymap: String,
    pub timezone: String,
}
