use embed_nu::rusty_value::*;
use serde::Deserialize;

use crate::task;

task!(ConfigureNetwork {
    name = "configure-network"
    args = NetworkConfig
});

#[derive(Clone, Debug, Deserialize, RustyValue)]
pub struct NetworkConfig {
    pub hostname: String,
    pub ipv6_loopback: bool,
}
