use embed_nu::rusty_value::*;
use serde::Deserialize;

use crate::task;

task!(SetupRootUser {
    name = "setup-root-user"
    args = RootUserConfig
});

#[derive(Clone, Debug, Deserialize, RustyValue)]
pub struct RootUserConfig {
    pub password: String,
}
